Bug 145555 - Fetching mail fails
Fetching mail fails
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 13:16 EST by Trever Adams
Modified: 2008-02-28 10:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 10:10:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trever Adams 2005-01-19 13:16:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
When the kernel changed its threading, evolution started to fail. This was (largely) fixed. However, I am still seeing messages such as:

Error while Fetching Mail.

Cannot get message ad490f86b83e66934e4efba686ce8b32: Connection timed out.

I never, ever, had these before the kernel/evolution problems with threading.

I have 13 mail accounts I fetch at the same time. Four come from one host, four from another, two from another. One from gmail, one from hotpop.

It tends to be one of my accounts that are now run by myrealbox.com (Novell) that usually barfs.

There seems to be no rhyme or reason. THerefore, I believe it is probably still bugs in the threading.

This is bad, because it causes loss of email.

Version-Release number of selected component (if applicable):
evolution-2.0.3-2

How reproducible:
Sometimes

Steps to Reproduce:
1. I am not sure how, just have several accounts and fetch email.
2.
3.
  

Actual Results:  I often get the message as described in description.

Expected Results:  It should have worked just fine.

Additional info:

I keep up with rawhide quite often. Everything else seems to work, except this and one other bug with evolution (evolution won't print many html emails... the body comes out empty).
Comment 1 Dave Malcolm 2005-01-19 14:07:37 EST
It may help if you set CAMEL_VERBOSE_DEBUG=1 when running evolution (should make
it spew large amounts of debugging logs to stdout)

Do you have any idea which kernel and glibc versions might be associated with
this bug?
Comment 2 Trever Adams 2005-01-19 14:23:30 EST
glibc-common-2.3.4-3
glibc-headers-2.3.4-3
glibc-devel-2.3.4-3
glibc-kernheaders-2.4-9.1.88
glibc-2.3.4-3
glibc-utils-2.3.4-3


I just changed kernels from the previous "released" rawhide kernel. I don't know
if this kernel will fix the problem or not, but here is what I have yet to
reboot to: kernel-2.6.10-1.1090_FC4


I will do the debug a bit later.
Comment 3 Trever Adams 2005-01-19 21:15:36 EST
I suppose I should mention that the accounts that it USUALLY barfs on are
encrypted (SSL), this is the standard method and I don't use stunnel (unless
evolution does).

Second, the one in particular that it really barfs on is the one I receive LKM
on. The more messages the more likely to barf. However, it has barfed on 5, 9,
and 20 messages as well.

It also barfs on my gmail account, which rarely has anything in it. A few of the
accounts use hotwayd and I don't believe I have ever seen an error with those
accounts.
Comment 4 Trever Adams 2005-01-27 16:19:43 EST
I never did get around to doing the test. However, I am running the 2.1.4 beta
that came out today. This may have fixed the problem. Don't mark it close just
yet. I will try to get you more info within 2 weeks as to whether or not it
fixed the problem. And if not, I will try to provide the information you asked for.
Comment 5 Trever Adams 2006-04-20 19:38:27 EDT
This still persists from time to time, it is much more rare. I am not sure how
to diagnose it as I have only seen it maybe 5 times in the last year. I am sorry
it took forever for me to get back to this. The problem mostly disappeared and
it is so rare, I am not sure how to debug it without making my fast system run
like frozen cream all the time.
Comment 6 Trever Adams 2006-04-20 19:41:05 EDT
I must say this seems to only be a problem on servers running Novell's NETMAIL
(now HULA??). I don't believe I have seen it with any other servers (including
HTTPMail gateways).
Comment 8 Trever Adams 2006-06-27 13:26:02 EDT
This has come back with a vengange in 2.7.x. I will try and do a traceback
tomorrow to finally get something real to file here.
Comment 9 Matthew Barnes 2007-01-01 23:18:26 EST
Is this problem still present in Fedora Core 6 or later?
Comment 10 Trever Adams 2007-01-02 17:47:28 EST
Yes, it still exists. It appears to only happen when fetching email from more
than 2 (usually, occasionally 2 will do it) accounts at once. I have now seen it
with non-SSL connections. If there are more than 10 messages in more than 2
accounts the occurances goes up.

I cannot get a good trace back or camel debug to give.
Comment 11 Matthew Barnes 2007-10-04 20:51:38 EDT
My apologies that I still haven't investigated this one yet.

Can you please re-test with Fedora 8 Test 2 or later?
Comment 12 Trever Adams 2007-10-04 22:33:19 EDT
It still existed in test 1. At this point I can no longer test. I have moved all
of my fetching of email, other than a local imap account, to a fetchmail which
stores it in that imap account. I am also hoping to drop evolution in favor of
Thunderbird + enigmail + lighning (and have done so on all 32 bit machines, just
waiting on a way to get lightning on 64 bit to finish it off).
Comment 13 Matěj Cepl 2008-02-28 09:43:17 EST
Reporter, do you have still at least some hope for Evolution, or should I close
this bug as INSUFFICIENT_DATA?
Comment 14 Trever Adams 2008-02-28 09:53:53 EST
I do not think I do. I only use it on my desktop. I use Thunderbird on my laptop
and spare machine and in Windows. So, close it I guess.
Comment 15 Matthew Barnes 2008-02-28 10:10:09 EST
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.